# PThreadObj< ObjType > Class Template Reference

`#include <thread.h>`

Inheritance diagram for PThreadObj< ObjType >:

List of all members.

## Public Types

typedef void(ObjType::*) | ObjTypeFn ()

## Public Member Functions

| PThreadObj (ObjType &obj, ObjTypeFn function, bool autoDel=false, const char *name=NULL, PThread::Priority priority=PThread::NormalPriority)
void | Main ()
| User override function for the main execution routine of the thread.

## Protected Attributes

ObjType & | m_object
ObjTypeFn | m_function

### template<typename ObjType>
class PThreadObj< ObjType >

## Member Typedef Documentation

template<typename ObjType>

typedef void(ObjType::*) PThreadObj< ObjType >::ObjTypeFn()

## Constructor & Destructor Documentation

template<typename ObjType>

PThreadObj< ObjType >::PThreadObj | ( | ObjType & | obj,
|  | ObjTypeFn | function,
|  | bool | autoDel = `false`,
|  | const char * | name = `NULL`,
|  | PThread::Priority | priority = `PThread::NormalPriority` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename ObjType>

void PThreadObj< ObjType >::Main | ( |  | ) | `[inline, virtual]`

User override function for the main execution routine of the thread.

A descendent class must provide the code that will be executed in the thread within this function.

Note that the correct way for a thread to terminate is to return from this function.

Implements PThread.

## Member Data Documentation

template<typename ObjType>

ObjTypeFn PThreadObj< ObjType >::m_function `[protected]`

template<typename ObjType>

ObjType& PThreadObj< ObjType >::m_object `[protected]`

The documentation for this class was generated from the following file:

- thread.h